apiVersion: kubernetes.crossplane.io/v1alpha2
kind: Object
metadata:
  name: emissary-sa
  namespace: crossplane-system
spec:
  providerConfigRef:
    name: kubernetes-provider
  forProvider:
    manifest:
      apiVersion: v1
      kind: ServiceAccount
      metadata:
        name: emissary-crds-installer
        namespace: emissary
---
apiVersion: kubernetes.crossplane.io/v1alpha2
kind: Object
metadata:
  name: emissary-crb
  namespace: crossplane-system
spec:
  providerConfigRef:
    name: kubernetes-provider
  forProvider:
    manifest:
      apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      metadata:
        name: emissary-crds-installer
      subjects:
      - kind: ServiceAccount
        name: emissary-crds-installer
        namespace: emissary
      roleRef:
        kind: ClusterRole
        name: cluster-admin
        apiGroup: rbac.authorization.k8s.io
